org.jbpm.services.task.admin.listener.internal

## Class GetCurrentTxTasksCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<List<org.kie.api.task.model.TaskSummary>>
  - - org.jbpm.services.task.admin.listener.internal.GetCurrentTxTasksCommand

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.GenericCommand<List<org.kie.api.task.model.TaskSummary>>, org.kie.api.command.Command<List<org.kie.api.task.model.TaskSummary>>, org.kie.internal.command.ProcessInstanceIdCommand

      public class GetCurrentTxTasksCommand
      extends TaskCommand<List<org.kie.api.task.model.TaskSummary>>
      implements org.kie.internal.command.ProcessInstanceIdCommand

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetCurrentTxTasksCommand()`
    `GetCurrentTxTasksCommand(Long processInstanceId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.kie.api.task.model.TaskSummary>` | `execute(org.kie.internal.command.Context context)`
    `Long` | `getProcessInstanceId()`
    `void` | `setProcessInstanceId(Long processInstanceId)`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetCurrentTxTasksCommand

          public GetCurrentTxTasksCommand()

    - #### GetCurrentTxTasksCommand

          public GetCurrentTxTasksCommand(Long processInstanceId)

  - ### Method Detail

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

      Specified by:
        `getProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`

    - #### setProcessInstanceId

          public void setProcessInstanceId(Long processInstanceId)

      Specified by:
        `setProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`

    - #### execute

          public List<org.kie.api.task.model.TaskSummary> execute(org.kie.internal.command.Context context)

      Specified by:
        `execute` in interface `org.drools.core.command.impl.GenericCommand<List<org.kie.api.task.model.TaskSummary>>`

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.